package cn.wise.sc.cement.business.entity;

import lombok.Data;

import java.util.Date;

/**
 * @description: 委托报告
 * @author: ztw
 * @create: 2021-3-19
 **/
@Data
public class EntrustReport {

	private Integer id;

	/**
	 * 项目名字
	 */
	private String projectName;

	/**
	 * 委托人
	 */
	private String sendName;

	/**
	 * 委托方id
	 */
	private Integer clientId;


	/**
	 * 项目id
	 */
	private Integer entrustId;

	/**
	 * 项目类型
	 */
	private String projectType;



	//8888888888888888888888888888888888888888888888888




	/**
	 * 样品id
	 */
	private Integer sampleId;



	/**
	 * 检测项目ids
	 */
	private String teamIds;

	/**
	 * 检测项目
	 */
	private String teamName;

	/**
	 * 检测依据 ids
	 */
	private String methodNumbers;

	/**
	 * 检测依据名字
	 */
	private String methodName;

	/**
	 * 样品名字
	 */
	private String name;

	/**
	 * 校核id
	 */
	private Integer checkId;

	/**
	 * 机械仪器名字
	 */
	private String equipmentName ;

	/**
	 * 用户id
	 */
	private Integer userId;

	/**
	 * 项目编号
	 */
	private String entrustCode;


	/**
	 * 样品创建时间
	 */
	private Date sendTime;

	/**
	 * 器械id
	 */
	private Integer equipmentId;
}
