package cn.wise.sc.cement.business.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ztw
 * @since 2021-02-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SampleDistributionEnclosure implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 主键
     */
      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 样品检测表id
     */
    private Integer sampleDistributionId;


    /**
     * 处理项表id
     */
    private Integer teamId;

    /**
     * 操作人id
     */
    private Integer userId;

    /**
     * 附件地址
     */
    private String enclosureUrl;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 上传图片时间
     */
    private LocalDateTime updateTime;

    /**
     * 状态(0未上传，1成功，2上传失败)
     */
    private Integer status;

    /**
     * 文件名
     */
    private String alias;

    /**
     * 扩展名
     */
    private String extName;

    /**
     * pdf地址
     */
    private String pdfUrl;

    /**
     * 是否允许委托人查看 是否公开 （0不公开，1公开）
     */
    private Integer isPublic;


}
