package cn.wise.sc.cement.business.mapper;

import cn.wise.sc.cement.business.entity.Method;
import cn.wise.sc.cement.business.model.vo.SummaryVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author ztw
 * @since 2020-08-18
 */
public interface MethodMapper extends BaseMapper<Method> {

	List<Map<String, Object>> exportList(@Param("params") Map<String, Object> params);

	@Select("select id, name from method")
	List<SummaryVo> fetchList();
}
