package cn.wise.sc.cement.business.mapper;

import cn.wise.sc.cement.business.entity.Standard;
import cn.wise.sc.cement.business.entity.StandardGroupDto;
import cn.wise.sc.cement.business.model.vo.EquipmentVo;
import cn.wise.sc.cement.business.model.vo.StandardValueVo;
import cn.wise.sc.cement.business.model.vo.StandardVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author ztw
 * @since 2020-09-04
 */
public interface StandardMapper extends BaseMapper<Standard> {


	IPage<StandardVo> getPage(@Param("page") Page page, @Param("params") Map<String, Object> params);

	List<StandardValueVo> getStandardDetaulList();

	List<Map<String, Object>> exportList(@Param("params") Map<String, Object> params);

	/**
	 * @return
	 *
	 */
	List<StandardGroupDto> getStandardsByGroup();


}
