package cn.wise.sc.cement.business.model.query;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @description:
 * @author: ztw
 * @create: 2021-2-3
 **/
@Data
@ApiModel("样品检测回退请求")
public class ReturnDistributionQuery {
	@ApiModelProperty("样品表id")
	private Integer sampleId;

	@ApiModelProperty("检测组id")
	private Integer teamGroupId;

	@ApiModelProperty("检测项表id列表")
	private List<Integer> distributionid;

	@ApiModelProperty("退回原因")
	private String returnReason;

}
