package cn.wise.sc.cement.business.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @description:
 * @author: ztw
 * @create: 2021-2-5
 **/
@Data
@ApiModel("委托-校核-样品Vo")
public class CheckSampleVo {

	@ApiModelProperty("样品表id")
	private Integer sampleId;

	@ApiModelProperty("来样编号")
	private String sampleCode;

	@ApiModelProperty("样品名")
	private String name;

	@ApiModelProperty("样品状态（粉、块状)")
	private String sampleForm;

	@ApiModelProperty("样品照片")
	private String samplePhoto;

	@ApiModelProperty("样品重量")
	private BigDecimal weight;

	@ApiModelProperty("样品重量计量单位（1微克，2毫克，3克，4千克，5吨）")
	private Integer weightType;

	@ApiModelProperty("平行样编号")
	private String parallelCode;

	@ApiModelProperty("本所编号")
	private String cementCode;

	@ApiModelProperty("产地")
	private String origin;

	@ApiModelProperty("委托-校核-检测组列表")
	private List<CheckTeamGroupVo> checkTeamGroupVoList;




}
