package cn.wise.sc.cement.business.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @description:
 * @author: ztw
 * @create: 2021-2-5
 **/
@Data
@ApiModel("委托-校核-检测人Vo")
public class CheckUserVo {

	@ApiModelProperty("检测人员id")
	private Integer userId;

	@ApiModelProperty("检测人员姓名")
	private String userName;

	@ApiModelProperty("委托-校核-样品列表")
	private List<CheckSampleVo> checkSampleVoList;




}
