package cn.wise.sc.cement.business.model.vo;

import cn.wise.sc.cement.business.model.ElementReport;
import lombok.Data;

import java.io.Serializable;

/**
 * @description: 工艺性能报告
 * @author: ztw
 * @create: 2021-3-19
 **/
@Data
public class CraftReport extends ElementReport implements Serializable {

    private static final long serialVersionUID = 42L;

    //下面是工艺性能析检测项
    private String mjt ="";
    private String kwht ="";
    private String ai ="";
    private String hgi ="";
    private String cyl ="";
    private String tmf ="";
    private String twf ="";
    private String fcao1350 ="";
    private String fcao1400 ="";
    private String fcao1450 ="";
}
