package cn.wise.sc.cement.business.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;

/**
 * @description:
 * @author: ztw
 * @create: 2021-01-08
 **/
@Data
@ApiModel("数据统计-检测项数量统计列表")
public class DataStatisticsTeamVo {


	@ApiModelProperty("检测项目ID")
	private Integer id;

	@ApiModelProperty("检测项目名称")
	private String teamName;

	@ApiModelProperty("检测项数量")
	private Integer teamNum;

	@ApiModelProperty("委托数量")
	private Integer entrustNum;

	@ApiModelProperty("样品数量")
	private Integer sampleNum;

}
