package cn.wise.sc.cement.business.model.vo;

import cn.wise.sc.cement.business.entity.Equipment;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @description:
 * @author: ztw
 * @create: 2020-08-07 14:58
 **/
@Data
@ApiModel("设备分类Vo")
public class EquipmentTypeVo {

	private Integer id;

	@ApiModelProperty("设备分类名称")
	private String name;

	@ApiModelProperty("状态 0:禁用 1:激活")
	private Integer status;

	@ApiModelProperty("创建时间")
	private LocalDateTime createTime;

	@ApiModelProperty("备注")
	private String remark;

	@ApiModelProperty("设备数量")
	private Integer members;

	@ApiModelProperty("设备列表")
	List<EquipmentVo> equipmentList;

}
