package cn.wise.sc.cement.business.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @description:
 * @author: ztw
 * @create: 2021-03-24
 **/
@Data
@ApiModel("总产值统计")
public class ProductionVo implements Serializable {

	private static final long serialVersionUID = 42L;
	/**
	 * 主键
	 */
	private Integer id;

	@ApiModelProperty("用户id")
	private String userId;

	@ApiModelProperty("姓名")
	private String userName;

	@ApiModelProperty("账户")
	private String account;

	@ApiModelProperty("性别")
	private String sex;

	@ApiModelProperty("标准产值")
	private Double productionValue = 0D;

	@ApiModelProperty("非标产值")
	private Double nonProductionValue = 0D;

	@ApiModelProperty("产值合计")
	private Double productionTotalValue = 0D;
}
