package cn.wise.sc.cement.business.model.vo;

import cn.wise.sc.cement.business.entity.SampleDistributionEquipment;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @description:
 * @author: ztw
 * @create: 2020-08-07 14:58
 **/
@Data
@ApiModel("委托-检测项Vo")
public class SampleDistributionTeamVo {

	@ApiModelProperty("派发表id")
	private Integer distributionId;

	@ApiModelProperty("检测组id")
	private Integer teamGroupId;

	@ApiModelProperty("检测组名称")
	private String teamGroupName;

	@ApiModelProperty("检测项id")
	private Integer teamId;

	@ApiModelProperty("检测项名称")
	private String teamName;

	@ApiModelProperty("单位")
	private String units;
	
	@ApiModelProperty("检测人员id")
	private Integer userId;

	@ApiModelProperty("检测人员姓名")
	private String userName;

	@ApiModelProperty("（0未接受，1接受，2待校核，3退回，4校核通过，5校核退回）")
	private Integer status;

	@ApiModelProperty(" 状态值（0未接受，1接受，2待校核，3退回，4校核通过，5校核退回）")
	private String statusValue;

	@ApiModelProperty("最终结果")
	private String lastResult;

	@ApiModelProperty("检测设备列表")
	List<SampleDistributionEquipmentVo> sampleDistributionEquipmentList;

}
