package cn.wise.sc.cement.business.model.vo;

import cn.wise.sc.cement.business.entity.Handle;
import cn.wise.sc.cement.business.entity.Method;
import cn.wise.sc.cement.business.entity.TeamGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import sun.security.util.ManifestEntryVerifier;

import java.util.List;

/**
 * @description:
 * @author: ztw
 * @create: 2020-08-07 15:09
 **/

@Data
@ApiModel("检测项所需列表Vo")
public class SummaryListVo {

	@ApiModelProperty("检测组集合")
	private List<TeamGroup> teamGroupList;

	@ApiModelProperty("处理项集合")
	private List<Handle> handleList;

	@ApiModelProperty("检测依据集合")
	private List<Method> methodList;

}
