package cn.wise.sc.cement.business.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ztw
 * @since 2021-02-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sample_distribution_checkinput")
public class SampleDistributionCheckinput implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 主键
     */
      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 委托表id
     */
    private Integer entrustId;

    /**
     * 样品表d
     */
    private Integer sampleId;

    /**
     * 检测组id
     */
    private Integer teamGroupId;

    /**
     * 处理人id
     */
    private Integer userId;

    /**
     * 校核人id
     */
    private Integer checkUserId;

    /**
     * 检测结果 输入的 信息 json串

{"样重m":"40","K值":1.0274,"Vsio2":3.89,................}
     */
    private String inputResult;

    /**
     * 状态（（0未接受，1接受，2待校核，3退回，4校核通过，5校核退回）
     */
    private Integer status;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 最后一次校核时间
     */
    private LocalDateTime updateTime;

    /**
     * 备注
     */
    private String remark;


}
