package cn.wise.sc.cement.business.mapper;

import cn.wise.sc.cement.business.entity.EquipmentType;
import cn.wise.sc.cement.business.model.vo.EquipmentTypeVo;
import cn.wise.sc.cement.business.model.vo.GroupVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author ztw
 * @since 2021-01-28
 */
public interface EquipmentTypeMapper extends BaseMapper<EquipmentType> {

	IPage<EquipmentTypeVo> getPage(@Param("page") Page page);

	List<EquipmentTypeVo> getEqTypeList();


}
