package cn.wise.sc.cement.business.mapper;

import cn.wise.sc.cement.business.entity.Preciprice;
import cn.wise.sc.cement.business.model.vo.EntrustVo;
import cn.wise.sc.cement.business.model.vo.NormProductionStatisticsVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author ztw
 * @since 2020-11-02
 */
public interface PrecipriceMapper extends BaseMapper<Preciprice> {

    void updateStatusByEntrustId(@Param("param") Integer entrustId);

    IPage<NormProductionStatisticsVo> getStatisticsPage(@Param("page") Page page, @Param("params") Map<String, Object> params);

    List<NormProductionStatisticsVo> getStatisticsList(@Param("params") Map<String, Object> params);
}
