package cn.wise.sc.cement.business.model;

import lombok.Data;
import java.io.Serializable;

/**
 * @description:  样品检测报告
 * @author: ztw
 * @create: 2021-3-19
 **/
@Data
public class ElementReport implements Serializable {

    private static final long serialVersionUID = 42L;

    /**
     * 样品id
     */
    private Integer id;
    /**
     * 样品名称
     */
    private String sampleName;

    /**
     * 来样状态
     */
    private String sampleForm;

    /**
     * 来样编号
     */
    private String sampleCode;

    /**
     * 样品重量
     */
    private String weight;

    /**
     * 样品重量计量单位（1微克，2毫克，3克，4千克，5吨）
     */
    private Integer weightType;

    /**
     * 本所编号
     */
    private String cementCode;

    /**
     * 检测项名称
     */
    private String teamName;

    /**
     * 最终结果
     */
    private String lastResult;

}
