package cn.wise.sc.cement.business.model.query;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * @description:
 * @author: ztw
 * @create: 2020-08-07 14:58
 **/
@Data
@ApiModel("新增入库请求")
public class ChangeStockQuery {

	@ApiModelProperty("表id")
	private Integer id;

	/**
	 * 新增数量 / 领用数量
	 */
	@ApiModelProperty("入库数量（单位 瓶）")
	private BigDecimal enterNum;

	@ApiModelProperty("领用数量（单位 g）")
	private BigDecimal outNum;

	@ApiModelProperty("备注")
	private String remark;

}
