package cn.wise.sc.cement.business.model.query;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @description:
 * @author: ztw
 * @create: 2020-02-07
 **/
@Data
@ApiModel("数据校核-快速计算接口")
public class CheckCountFastQuery {

	@ApiModelProperty("检测人id")
	private Integer userId;

	@ApiModelProperty("检测组表id")
	private Integer teamGroupId;

	@ApiModelProperty("输入信息集合")
	private Map<String, String> intputResult;

}
