package cn.wise.sc.cement.business.model.query;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @description:
 * @author: ztw
 * @create: 2021-02-06
 **/
@Data
@ApiModel("数据校核-校核请求（最新需求：通过，退回）")
public class CheckCountNewQuery {

	@ApiModelProperty("委托表id")
	private Integer entrustId;

	@ApiModelProperty("样品表id")
	private Integer smapleId;

	@ApiModelProperty("检测组表id")
	private Integer teamGroupId;

	@ApiModelProperty("检测人员id")
	private Integer userId;

	@ApiModelProperty("是否通过 0保存，1通过，2退回")
	private Integer isAgree;

	@ApiModelProperty("退回原因")
	private String auditReason;

	@ApiModelProperty("输入信息集合")
	private Map<String, String> intputResult;

	@ApiModelProperty("计算结果信息列表")
	List<CheckCountDistributionNewQuery> checkCountDistributionNewQueryList;







}
