package cn.wise.sc.cement.business.model.query;

import cn.wise.sc.cement.business.model.PageQuery;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.Period;
import java.util.List;

/**
 * @description:
 * @author: qh
 * @create: 2021-01-19 10:33
 **/
@Data
public class CountItemDistributionQuery {
    @ApiModelProperty("检测元素（单选）")
    private Long itemId;

    @ApiModelProperty("地区（多选）")
    private List<String> origins;

    @ApiModelProperty("开始日期 2021-02-22")
    private String startTime;

    @ApiModelProperty("结束日期 2021-02-22")
    private String endTime;

    @ApiModelProperty("分页参数")
    private PageQuery pageQuery;
}
