package cn.wise.sc.cement.business.model.query;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @description:
 * @author: ztw
 * @create: 2020-08-07 14:58
 **/
@Data
@ApiModel("委托-检测项完成请求")
public class FinishCheckQuery {

	@ApiModelProperty("样品派发表id")
	private Integer distributionId;

	@ApiModelProperty("选择设备id集合(只传当前时使用的设备 历史设备的id不用传)")
	private List<Integer> equipmentIdList;

}
