package cn.wise.sc.cement.business.model.query;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * @description:
 * @author: ztw
 * @create: 2020-09-07 15:42
 **/
@Data
@ApiModel("样品管理请求")
public class SampleManageQuery {

	@ApiModelProperty("样品管理表id")
	private Integer id;

	@ApiModelProperty("处理提醒时间")
	private LocalDate handleDate;

	@ApiModelProperty("存储柜表id")
	private Integer cabinetId;

	/*@ApiModelProperty("小样位置 扫码获取的文件柜信息")
	private String littlePosition;*/

	@ApiModelProperty("原样位置 样品的原始位置信息")
	private String originalPosition;

	@ApiModelProperty("备注")
	private String remark;

}
