package cn.wise.sc.cement.business.model.query;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @description:
 * @author: qh
 * @create: 2020-08-07 15:42
 **/
@Data
@ApiModel("检测项请求")
public class TeamQuery {

	@ApiModelProperty("检测项表id")
	private Integer id;

	@ApiModelProperty("检测项目")
	private String name;

	@ApiModelProperty("检测项组id")
	private Integer groupId;

	@ApiModelProperty("检测依据表id 1、2、3")
	private String methodId;

	@ApiModelProperty("收费标准")
	private BigDecimal charge;

	@ApiModelProperty("资质范围（1资质内，0资质外）")
	private Integer qualifications;

	@ApiModelProperty("是否可见 0:不可见 1:可见")
	private Integer isDisplay;

	@ApiModelProperty("处理项表id 1、2、3")
	private String handleId;

	@ApiModelProperty("本组序号 12345")
	private Integer sortNo;

	@ApiModelProperty("是否需要平行（0否，1是）")
	private Integer isParallel;

	@ApiModelProperty("是否需要派发（0否 样品处理完直接校核，1是样品处理完需要检测再校核）")
	private Integer isPf;

	@ApiModelProperty("单位")
	private String units;

}
