package cn.wise.sc.cement.business.model.vo;

import cn.wise.sc.cement.business.entity.SampleDistributionEquipment;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @description:
 * @author: ztw
 * @create: 2021-2-5
 **/
@Data
@ApiModel("委托-校核结果-检测项Vo")
public class CheckTeamResultVo {

	@ApiModelProperty("派发表id")
	private Integer distributionId;

	@ApiModelProperty("检测项id")
	private Integer teamId;

	@ApiModelProperty("检测项名称")
	private String teamName;

	@ApiModelProperty("小数位数(0保留整数，1保留1位小数...)")
	private Integer retain;

	@ApiModelProperty("本组序号 12345")
	private Integer sortNo;

	@ApiModelProperty("单位")
	private String units;

	@ApiModelProperty("状态（0未接受，1接受，2待校核，3退回，4校核通过，5校核退回）")
	private Integer status;

	@ApiModelProperty(" 状态值（0未接受，1接受，2待校核，3退回，4校核通过，5校核退回）")
	private String statusValue;

	@ApiModelProperty("检测依据表id  1、2、3")
	private String methodId;

	@ApiModelProperty("检测依据名称  a、b、c")
	private String methodName;

	@ApiModelProperty("检测依据编号 11、22、33")
	private String number;

	@ApiModelProperty("检测设备列表")
	List<SampleDistributionEquipmentVo> sampleDistributionEquipmentList;

	@ApiModelProperty("检测结果")
	private String distributionResult;

	@ApiModelProperty("检测误差")
	private String distributionError;

	@ApiModelProperty("最终结果")
	private String lastResult;

	@ApiModelProperty("其他人的检测结果")
	List<String> ortherUserResult;


}
