package cn.wise.sc.cement.business.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @description:
 * @author: ztw
 * @create: 2021-2-5
 **/
@Data
@ApiModel("委托-校核结果-检测人Vo")
public class CheckUserResultVo {

	@ApiModelProperty("检测人员id")
	private Integer userId;

	@ApiModelProperty("检测人员姓名")
	private String userName;

	@ApiModelProperty("检测人员id")
	private Integer entrustId;

	@ApiModelProperty("委托编号")
	private String entrustCode;

	@ApiModelProperty("项目名称")
	private String projectName;

	@ApiModelProperty("项目编号")
	private String projectCode;

	@ApiModelProperty("项目类型(常规项目，科研项目，质量控制项目)")
	private String projectType;

	@ApiModelProperty("委托人姓名")
	private String entrustUserName;

	@ApiModelProperty("委托单位姓名")
	private String clientName;


	@ApiModelProperty("委托-校核结果-检测组列表")
	private List<CheckTeamGroupResultVo> checkTeamGroupResultVoList;




}
