package cn.wise.sc.cement.business.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @description: 标准产值统计对象
 * @author: ztw
 * @create: 2021-03-24
 **/
@Data
public class NormProductionStatisticsVo implements Serializable {

	private static final long serialVersionUID = 42L;

	@ApiModelProperty("用户id")
	private String userId;

	@ApiModelProperty("姓名")
	private String userName;

	@ApiModelProperty("账户")
	private String account;

	@ApiModelProperty("性别")
	private String sex;

	@ApiModelProperty("检测项目数")
	private Long count;

	@ApiModelProperty("产值绩效")
	private Double coefficient;

}
