package cn.wise.sc.cement.business.model.vo;

import cn.wise.sc.cement.business.model.ElementReport;
import lombok.Data;

import java.io.Serializable;

/**
 * @description: 物理性能报告
 * @author: ztw
 * @create: 2021-3-19
 **/
@Data
public class PhysicsReport extends ElementReport implements Serializable {

    private static final long serialVersionUID = 42L;

    //下面是物理性能析检测项
    private String xd45um ="";
    private String xd80um ="";
    private String xd200um ="";
    private String bbmj ="";
    private String md ="";
    private String sxzs_yx ="";
    private String sxzs_sx ="";
    private String sxzs_sxzs ="";
    private String hsl ="";
}
