package cn.wise.sc.cement.business.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author ztw
 * @since 2020-09-14
 */
@Data
@ApiModel("样品检测-数据上传Vo")
public class SampleDistributionEnclosureVo {

	private Integer id;

	@ApiModelProperty("样品检测表id")
	private Integer sampleDistributionId;

	@ApiModelProperty("检测项表id")
	private Integer teamId;

	@ApiModelProperty("操作人id")
	private Integer userId;

	@ApiModelProperty("操作人姓名")
	private String userName;

	@ApiModelProperty("附件地址")
	private String enclosureUrl;

	@ApiModelProperty("创建时间")
	private LocalDateTime createTime;

	@ApiModelProperty("上传图片时间")
	private LocalDateTime updateTime;

	@ApiModelProperty("状态(0未上传，1成功，2上传失败)")
	private Integer status;

	@ApiModelProperty(" 状态值（0未接受，1接受，2完成）")
	private String statusValue;

	@ApiModelProperty("文件名")
	private String alias;

	@ApiModelProperty("扩展名")
	private String extName;

	@ApiModelProperty("pdf地址")
	private String pdfUrl;

	@ApiModelProperty("是否允许委托人查看 是否公开 （0不公开，1公开）")
	private Integer isPublic;



}
