package cn.wise.sc.cement.business.model.vo;

import cn.wise.sc.cement.business.entity.SampleDistributionEquipment;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @description:
 * @author: ztw
 * @create: 2021-02-18 14:58
 **/
@Data
@ApiModel("委托-检测设备列表Vo")
public class SampleDistributionEquipmentVo {

	private Integer id;

	/**
	 * 样品表d
	 */
	private Integer distributionId;

	/**
	 * 检测组id
	 */
	private Integer equipmentId;

	/**
	 * 检测设备名称
	 */
	private String equipmentName;

	/**
	 * 处理人id
	 */
	private Integer userId;

	/**
	 * 创建时间
	 */
	private LocalDateTime createTime;

	/**
	 * 备注
	 */
	private String remark;


	@ApiModelProperty("设备编号")
	private String code;

}
