package cn.wise.sc.cement.business.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;

/**
 * @description:
 * @author: ztw
 * @create: 2021-2-24 14:58
 **/
@Data
@ApiModel("委托-样品流转单Vo")
public class SampleFlowVo {

	@ApiModelProperty("委托表Id")
	private Integer entrustId;

	@ApiModelProperty("项目名称")
	private String projectName;

	@ApiModelProperty("项目编号")
	private String projectCode;

	@ApiModelProperty("样品表Id")
	private Integer sampleId;

	@ApiModelProperty("样品名")
	private String sampleName;

	@ApiModelProperty("样品状态（粉、块状)")
	private String sampleForm;

	@ApiModelProperty("平行样编号")
	private String parallelCode;

	@ApiModelProperty("检测人员id")
	private Integer userId;

	@ApiModelProperty("检测人员姓名")
	private String userName;

	@ApiModelProperty("日期")
	private String createDate;


}
