package cn.wise.sc.cement.business.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @description:
 * @author: ztw
 * @create: 2021-02-03 14:58
 **/
@Data
@ApiModel("样品处理/检测退回任务列表Vo")
public class SampleReturnHandleVo {
	@ApiModelProperty("样品处理表id/样品检测表id")
	private Integer id;

	@ApiModelProperty("处理项id/检测项id")
	private Integer objId;

	@ApiModelProperty("处理项名称/检测项名称")
	private String objName;

	@ApiModelProperty("委托表id")
	private String entrustId;

	@ApiModelProperty("委托编号")
	private String entrustCode;

	@ApiModelProperty("项目id")
	private Integer projectId;

	@ApiModelProperty("项目名称")
	private String projectName;

	@ApiModelProperty("项目编号")
	private String projectCode;

	@ApiModelProperty("委托单位Id")
	private Integer clientId;

	@ApiModelProperty("委托单位姓名")
	private String clientName;

	@ApiModelProperty("（1加急，0不加急）")
	private Integer isUrgent;

	@ApiModelProperty("项目类型(常规项目，科研项目，质量控制项目)")
	private String projectType;


	@ApiModelProperty("接受人id")
	private Integer userId;

	@ApiModelProperty("接受人姓名")
	private String userName;

	@ApiModelProperty("状态0未接受，1接受，2完成，3退回）")
	private Integer status;

	@ApiModelProperty("状态0未接受，1接受，2完成，3退回）")
	private String statusValue;

	@ApiModelProperty("退回原因")
	private String returnReason;




}
