package cn.wise.sc.cement.business.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @description:
 * @author: ztw
 * @create: 2020-08-07 14:58
 **/
@Data
@ApiModel("委托-样品派发Vo")
public class SampleTeamGroupVo {

	@ApiModelProperty("检测组id")
	private Integer teamGroupId;

	@ApiModelProperty("检测组名称")
	private String teamGroupName;

	@ApiModelProperty("检测项列表")
	private List<SampleDistributionTeamVo> sampleDistributionTeamVoList;

	@ApiModelProperty("（0未接受，1接受，2待校核，3退回，4校核通过，5校核退回）")
	private Integer status;

	@ApiModelProperty(" 状态值（0未接受，1接受，2待校核，3退回，4校核通过，5校核退回）")
	private String statusValue;

	@ApiModelProperty("校核被退回原因")
	private String returnReason;



}
