package cn.wise.sc.cement.business.model.vo;

import cn.wise.sc.cement.business.model.ElementReport;
import lombok.Data;
import java.io.Serializable;

/**
 * @description: 十元素检测报告
 * @author: ztw
 * @create: 2021-3-19
 **/
@Data
public class TenElementReport extends ElementReport implements Serializable {

    private static final long serialVersionUID = 42L;

    //下面为十元素1 十元素2共有的
    private String loi ="";
    private String sio2 ="";
    private String fe2o3 ="";
    private String cao ="";
    private String mgo ="";
    private String k2o ="";
    private String na2o ="";
    private String so3 ="";
    private String cl="";

    //下面为十元素1
    private String al2o3AndTio2 ="";
    private String fsio2="";

    //下面为十元素2
    private String al2o3="";
    private String tio2="";
    private String mno="";

}
