package cn.wise.sc.cement.business.service;

import cn.wise.sc.cement.business.entity.EntrustLogs;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ztw
 * @since 2021-01-27
 */
public interface IEntrustLogsService extends IService<EntrustLogs> {

    /**
     * 新增日志
     * @param entrustId 委托id
     * @param operation 操作名
     * @param nodeName 节点名
     * @param content 内容
     * @param acceptId 接收人
     * @return 是否成功
     */
     Boolean addLog(Long entrustId,String operation,String nodeName,String content,Long acceptId);
}
