package cn.wise.sc.cement.business.service;

import cn.wise.sc.cement.business.entity.NormProduction;
import cn.wise.sc.cement.business.model.vo.NormProductionStatisticsVo;
import cn.wise.sc.cement.business.model.BaseResponse;
import cn.wise.sc.cement.business.model.PageQuery;
import cn.wise.sc.cement.business.model.vo.NormProductionVo;
import cn.wise.sc.cement.business.model.vo.ProductionVo;
import cn.wise.sc.cement.business.model.vo.WorkloadStatisticsVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletResponse;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author ztw
 * @since 2020-09-23
 */
public interface INormProductionService extends IService<NormProduction> {


    BaseResponse<NormProduction> addObj(NormProduction normProduction);

    BaseResponse<Boolean> edit(NormProduction production);


    BaseResponse<IPage<NormProductionVo>> getPage(PageQuery pageQuery, Integer type);

    List<NormProductionVo> getList();

    BaseResponse<Integer> activeOrForbidden(Integer id);


}
